<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v2004 rel. 3 U (http://www.xmlspy.com) by MIYAKE Manabu (THE YOMIURI SHIMBUN) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:pgml="urn:iptc:std-draft:ProgramGuideML:1.0:spec:xml-schema:1.0:xsd" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2001" xmlns:tva="urn:tva:metadata:2002" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<xsl:element name="html">
			<xsl:attribute name="lang">ISO-8859-1</xsl:attribute>
			<xsl:element name="head">
				<xsl:element name="title">
					<xsl:value-of select="//pgml:ProgramGuideML/pgml:ProgramTable/pgml:ProgramTableInformation/pgml:Station/tva:Name"/>
				</xsl:element>
				<xsl:element name="style">.symbol-a{bold;background-color:black;color:white;}</xsl:element>
				<xsl:element name="style">.symbol-b{background-color:gray;color:white;}</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="HTTP-EQUIV">Content-Type</xsl:attribute>
					<xsl:attribute name="CONTENT">text/html; charset=ISO-8859-1</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="NAME">AUTHOR</xsl:attribute>
					<xsl:attribute name="CONTENT">Manabu Miyake</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:element name="body">
				<xsl:apply-templates select="//pgml:ProgramGuideML/pgml:ProgramTable"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="pgml:ProgramGuideML/pgml:ProgramTable">
		<xsl:text>ProgramGuideML Sample </xsl:text>
		<xsl:element name="br"/>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:StartDate,1,10)"/>
		<xsl:text>  </xsl:text>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:StartDate,12,5)"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:EndDate,12,5)"/>
		<xsl:element name="table">
<!--			<xsl:attribute name="width">200</xsl:attribute>  -->
			<xsl:attribute name="border">5</xsl:attribute>
			<xsl:element name="tr">
				<xsl:attribute name="bgcolor">#D8BFDB</xsl:attribute>
				<xsl:element name="th">
				</xsl:element>
				<xsl:element name="th">
					<xsl:value-of select="pgml:ProgramTableInformation/pgml:Station/tva:Name"/>
				</xsl:element>
			</xsl:element>
			<xsl:apply-templates select="pgml:ProgramItem"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="pgml:ProgramItem">
		<xsl:for-each select=".">
			<xsl:sort select="@order" order="ascending"/>
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:attribute name="width">10</xsl:attribute>
					<xsl:attribute name="valign">top</xsl:attribute>
					<xsl:value-of select="substring(pgml:ProgramInformation//tva:ProgramLocationTable//tva:PublishedStartTime,12,2)"/>
				</xsl:element>
				<xsl:element name="td">
					<xsl:apply-templates select="pgml:ProgramContent"/>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="pgml:ProgramContent">
		<xsl:if test="pgml:Body/@newsml_formalname = 'Newspaper-A_Long'">
			<xsl:apply-templates select="pgml:Body"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="pgml:Body">
		<xsl:if test="@newsml_formalname = 'Newspaper-A_Long'">
			<xsl:apply-templates select="pgml:BodyContent"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="pgml:BodyContent">
		<xsl:choose>
			<xsl:when test="@xml:lang = 'ja-JP'">
				<xsl:element name="tt">
					<xsl:for-each select="pgml:P">
						<xsl:apply-templates/>
						<xsl:element name="br"/>
					</xsl:for-each>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="tt">
				<xsl:element name="pre">
					<xsl:for-each select="pgml:P">
						<xsl:apply-templates/>
						<xsl:element name="br"/>
					</xsl:for-each>
				</xsl:element>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="pgml:Symbol">
		<xsl:if test="@newsml_formalname = 'news'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol-a</xsl:attribute>
				<xsl:text>Ｎ</xsl:text>
			</xsl:element>
		</xsl:if>
		<xsl:if test="@newsml_formalname = 'weather'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol-a</xsl:attribute>
				<xsl:text>天</xsl:text>
			</xsl:element>
		</xsl:if>
		<xsl:if test="@newsml_formalname = 'subtitles'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol-b</xsl:attribute>
				<xsl:text>字</xsl:text>
			</xsl:element>
		</xsl:if>
		<xsl:if test="@newsml_formalname = 'stereo'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol-a</xsl:attribute>
				<xsl:text>Ｓ</xsl:text>
			</xsl:element>
		</xsl:if>
		<xsl:if test="@newsml_formalname = 'sub'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol-b</xsl:attribute>
				<xsl:text>副</xsl:text>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
